<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:layout_marginHorizontal="16dp"
    tools:layout_marginTop="30dp"
    android:background="@drawable/order_detail_bg"
    android:paddingHorizontal="12dp"
    android:paddingVertical="8dp">

    <!-- 陪玩信息 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_playmate"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.weparty.commonui.imageview.AvatarView
            android:id="@+id/iv_order_avatar"
            android:layout_width="40dp"
            android:layout_height="40dp"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="8dp"
            android:ellipsize="end"
            android:fontFamily="@font/poppins_semibold"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="@id/iv_order_avatar"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="0"
            app:layout_constraintStart_toEndOf="@id/iv_order_avatar"
            app:layout_constraintTop_toTopOf="@id/iv_order_avatar"
            tools:text="UserName UserName UserName" />

        <View
            android:layout_width="0dp"
            android:layout_height="1dp"
            android:layout_marginTop="12dp"
            android:background="@color/color_FFF2F3F5"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_order_avatar" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 产品类型 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_product_type"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:minHeight="30dp"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_order_playmate">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_product_type"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/order_product_type"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_product_type_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="60dp"
            android:gravity="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_product_type"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="LOL Mobile" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 购买数量 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_count"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="30dp"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_order_product_type">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/order_buy_count"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_count_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="60dp"
            android:gravity="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_order_count"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="1" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 订单编号 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_id"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="30dp"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_order_count">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_id"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/order_id"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_id_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="60dp"
            android:gravity="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_order_id"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="No.12345677777777123456777777771234567777777712345677777777" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 购买时间 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_order_time"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="30dp"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_order_id">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_time"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/order_time"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_order_time_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="60dp"
            android:gravity="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_order_time"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="2025/10/20 14:34:00" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <!-- 共计 -->
    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_total_cost"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:minHeight="30dp"
        android:paddingVertical="6dp"
        app:layout_constraintTop_toBottomOf="@id/cl_order_time">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_total_cost"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:includeFontPadding="false"
            android:text="@string/order_total_price"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_total_cost_detail"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginStart="60dp"
            android:gravity="end"
            android:includeFontPadding="false"
            android:textColor="@color/color_FF1D2129"
            android:textSize="12sp"
            app:layout_constrainedWidth="true"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1"
            app:layout_constraintStart_toEndOf="@id/tv_total_cost"
            app:layout_constraintTop_toTopOf="parent"
            tools:text="1000" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <View
        android:layout_width="0dp"
        android:layout_height="1dp"
        android:layout_marginTop="10dp"
        android:background="@color/color_FFF2F3F5"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/cl_total_cost" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="20dp"
        android:background="@drawable/common_white_radius_16_bg"
        app:layout_constraintTop_toBottomOf="@id/cl_total_cost">

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_reason_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:ellipsize="end"
            android:gravity="start|center"
            android:includeFontPadding="false"
            android:text="@string/order_playmate_customer_refund_reason"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/v_reason"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:background="@drawable/common_input_edit_bg"
            android:paddingHorizontal="12dp"
            android:paddingVertical="8dp"
            app:layout_constrainedHeight="true"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_reason_title">

            <androidx.core.widget.NestedScrollView
                android:id="@+id/sv_reason"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                app:layout_constrainedHeight="true"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHeight_max="250dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_chainStyle="spread_inside">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/tv_reason"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:background="@null"
                    android:gravity="start|top"
                    android:includeFontPadding="false"
                    android:textColor="@color/color_FF1D2129"
                    android:textColorHint="@color/color_FFCDCFD9"
                    tools:hint="asdf;asdjfka;" />

            </androidx.core.widget.NestedScrollView>

        </androidx.constraintlayout.widget.ConstraintLayout>

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/tv_reason_picture_title"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="16dp"
            android:ellipsize="end"
            android:includeFontPadding="false"
            android:singleLine="true"
            android:text="@string/order_playmate_customer_refund_picture"
            android:textColor="@color/color_FF1D2129"
            android:textSize="14sp"
            android:textStyle="bold"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/v_reason" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_reason_picture"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_reason_picture_title" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>